Bug 213810

Summary: Change Perl's default to 5.24
Product: Ports & Packages Reporter: Mathieu Arnold <mat>
Component: Ports FrameworkAssignee: Mathieu Arnold <mat>
Status: Closed FIXED    
Severity: Affects Only Me CC: perl, portmgr
Priority: --- Flags: mat: exp-run?
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
v1 none

Description Mathieu Arnold freebsd_committer 2016-10-26 14:28:30 UTC
Created attachment 176189 [details]
v1
Comment 1 Antoine Brodin freebsd_committer 2016-11-01 09:49:48 UTC
New failures everywhere:

+ {"origin"=>"chinese/sunpinyin", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/ipxe", "phase"=>"build", "errortype"=>"???"}
+ {"origin"=>"net/shelldap", "phase"=>"extract", "errortype"=>"???"}
+ {"origin"=>"sysutils/dunst", "phase"=>"build", "errortype"=>"???"}

New failures on 9.3:

+ {"origin"=>"devel/p5-B-C", "phase"=>"build", "errortype"=>"clang"}
+ {"origin"=>"graphics/p5-Geo-GDAL", "phase"=>"build/runaway", "errortype"=>"runaway_process"}

Failure logs:

http://pb2.nyi.freebsd.org/data/103i386-default-PR213810/2016-10-29_06h13m33s/logs/errors/zh-sunpinyin-2.0.4.r3_1.log
http://pb2.nyi.freebsd.org/data/103i386-default-PR213810/2016-10-29_06h13m33s/logs/errors/ipxe-20160213_1.log
http://pb2.nyi.freebsd.org/data/103i386-default-PR213810/2016-10-29_06h13m33s/logs/errors/shelldap-1.3.2.log
http://pb2.nyi.freebsd.org/data/103i386-default-PR213810/2016-10-29_06h13m33s/logs/errors/dunst-1.1.0.log

http://pb2.nyi.freebsd.org/data/93amd64-default-PR213810/2016-10-30_06h39m23s/logs/errors/p5-B-C-1.52_1.log
http://pb2.nyi.freebsd.org/data/93amd64-default-PR213810/2016-10-30_06h39m23s/logs/errors/p5-Geo-GDAL-2.1.0.log

New ports ignored:

+ {"origin"=>"devel/p5-Coro", "reason"=>"is marked as broken: Perl >= 5.22 is not supported"}
+ {"origin"=>"devel/p5-Regexp-Compare", "reason"=>"is marked as broken: Unsupported"}
+ {"origin"=>"lang/p5-Parse-Perl", "reason"=>"is marked as broken: Fails to build with Perl >= 5.22"}
+ {"origin"=>"textproc/p5-HTML-CTPP2", "reason"=>"is marked as broken: Fails to build with Perl >= 5.22"}

devel/p5-Coro ignored leads to 16 ports skipped
Comment 2 commit-hook freebsd_committer 2016-11-03 13:30:28 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  3 13:30:21 UTC 2016
New revision: 425208
URL: https://svnweb.freebsd.org/changeset/ports/425208

Log:
  Fix man pages generation with Perl 5.24+

  While there, run make makepatch.

  PR:		213810
  Sponsored by:	Absolight

Changes:
  head/chinese/sunpinyin/files/patch-SConstruct
  head/chinese/sunpinyin/files/patch-man_SConscript
  head/chinese/sunpinyin/files/patch-src_ime-core_imi__winHandler.cpp
  head/chinese/sunpinyin/files/patch-src_portability.h
  head/chinese/sunpinyin/files/patch-src_sunpinyin-dictgen.mk.in
  head/chinese/sunpinyin/files/patch-xdg
Comment 3 commit-hook freebsd_committer 2016-11-03 13:31:30 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  3 13:30:36 UTC 2016
New revision: 425209
URL: https://svnweb.freebsd.org/changeset/ports/425209

Log:
  Fix man page generation with Perl 5.24+

  PR:		213810
  Sponsored by:	Absolight

Changes:
  head/net/shelldap/Makefile
Comment 4 commit-hook freebsd_committer 2016-11-03 13:31:31 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  3 13:30:41 UTC 2016
New revision: 425210
URL: https://svnweb.freebsd.org/changeset/ports/425210

Log:
  Fix build with Perl 5.24+

  PR:		213810
  Sponsored by:	Absolight

Changes:
  head/net/ipxe/files/patch-util_parserom.pl
Comment 5 commit-hook freebsd_committer 2016-11-03 13:38:33 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  3 13:37:45 UTC 2016
New revision: 425211
URL: https://svnweb.freebsd.org/changeset/ports/425211

Log:
  Mark broken with Perl 5.24+ on 9.x.

  cc -c    -DHAS_FPSETMASK -DHAS_FLOATINGPOINT_H -fno-strict-aliasing -pipe -fstack-protector -I/usr/local/include -D_FORTIFY_SOURCE=2 -O2 -pipe -fstack-protector -fno-strict-aliasing    -DVERSION=\"0.11\"  -DXS_VERSION=\"0.11\" -DPIC -fPIC "-I/usr/local/lib/perl5/5.24/mach/CORE"   byterun.c
  In file included from byterun.c:33:
  byterun.h:39: error: redefinition of typedef 'I64'
  /usr/local/lib/perl5/5.24/mach/CORE/handy.h:178: error: previous declaration of 'I64' was here
  byterun.h:40: error: redefinition of typedef 'U64'
  /usr/local/lib/perl5/5.24/mach/CORE/handy.h:179: error: previous declaration of 'U64' was here
  byterun.c: In function 'byterun':
  byterun.c:389: warning: comparison is always false due to limited range of data type
  byterun.c:1436: warning: comparison is always false due to limited range of data type
  *** [byterun.o] Error code 1

  PR:		213810
  Sponsored by:	Absolight

Changes:
  head/devel/p5-B-C/Makefile
Comment 6 commit-hook freebsd_committer 2016-11-03 14:17:37 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  3 14:17:30 UTC 2016
New revision: 425216
URL: https://svnweb.freebsd.org/changeset/ports/425216

Log:
  Fix man page generation with Perl 5.24+

  PR:		213810
  Sponsored by:	Absolight

Changes:
  head/sysutils/dunst/Makefile
Comment 7 commit-hook freebsd_committer 2016-11-03 14:18:39 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  3 14:17:41 UTC 2016
New revision: 425217
URL: https://svnweb.freebsd.org/changeset/ports/425217

Log:
  Fix on 9.3 with Perl 5.24+

  PR:		213810
  Sponsored by:	Absolight

Changes:
  head/graphics/p5-Geo-GDAL/Makefile
Comment 8 Mathieu Arnold freebsd_committer 2016-11-03 14:21:20 UTC
Fixed all the ones I could.

Coro's author decided that starting at 5.22, he was forking Perl and that to use Coro, you would have to use his Perl.  So I'll consider it a lost cause.

The other three are non trivial to fix, and they've had issues opened about the 5.22+ compability for a long time.
Comment 9 commit-hook freebsd_committer 2016-11-03 14:34:42 UTC
A commit references this bug:

Author: mat
Date: Thu Nov  3 14:34:13 UTC 2016
New revision: 425221
URL: https://svnweb.freebsd.org/changeset/ports/425221

Log:
  Change the default Perl version to 5.24.

  We have been stuck with Perl 5.20 for too long.  Now that the main
  problem, mod_perl2, has been updated to work with Perl 5.22+, we can go
  and live with a modern Perl.

  PR:		213810
  Submitted by:	mat
  Exp-run by:	antoine
  Sponsored by:	Absolight

Changes:
  head/Mk/bsd.default-versions.mk
  head/UPDATING